VT220(1)

NAME
vt220 - define SHIFTED function keys on VT220 terminal

SYNTAX
vt220 [ -cil ] [ keyname keystring ] ...

DESCRIPTION
Vt220 sets up a "vt220 terminal" in vt200 mode to allow user definition of the SHIFTED function keys. Each keyname specified on the command line will be loaded with the corresponding keystring. A keyname is one of the following "words": F6 F7 F8 F9 F10 F11 ESC F12 BS F13 LF F14 HELP DO F17 F18 F19 F20. Keystrings must be quoted if spaces, tabs, or shell metacharacters are included.

Vt220 expects to receive some combination of option flags and/or argument pair(s), otherwised an usage message is printed.

The options are:

-c  Clears all SHIFTED function key definitions before setting them to user defined strings.

-i  Read the initialization file $HOME/.vt220rc for SHIFTED function key definitions. This is done before any argument pair specified on the command line is processed. Each line in the file must consist of two fields (separated by spaces or tabs) where the first field is the keyname and the second field is the keystring. The second field extends to the end of the line, thus a keystring may include spaces or tabs. A newline (return) may be specified within the string by using the C Language notation for newline (\n).

-l  Locks the function keys from further definition. Locking occurs after processing the initialization file (if the "i" option is specified) and any argument pairs. The only way to unlock is by turning the power off.

EXAMPLES
vt220 -ci
vt220 F6 'nroff -ms '
vt220 -i F20 'cc -O -c '
vt220 -l HELP man

OTHER FEATURES
Pressing the function keys without using the shift key, generates a string of characters. With csh(1) this string can be aliased to some command. For example:
    alias ^[[17~ "ls -CR | more"
where ^[[17~ is what is generated by pressing the F6 key. Therefore F6 can perform two commands, depending if pressed with/without the SHIFT key.

Vt220 can be called from your .login or .profile file. Typically an user will create a initialization file and include a line like
    vt220 -ci
OR
    vt220 -cil
in the above mentioned files. This way the SHIFTED function keys will be set to your favorite commands when logging in.

CAVEATS
If the SHIFTED function keys are unlocked, redefinition of a SHIFTED function key will rewrite the old string.

There are 256 bytes available for the SHIFTED function keys. Space is supplied on a first-come/first-serve basis. After the 256 bytes are used, you can't define any more keys unless space is cleared. This can be done by redefining a key to contain a string of fewer bytes.

All key definitions are stored in volatile RAM, and are lost when terminal power is lost.

The ESC key (unshifted) no longer generates the proper escape character. This is of particular importance since many editors require use of the ESC key. Here are some available alternatives:

The escape character can be generated by typing ^[ (control-[).

Use vt220 as follows (note ^[ is control-[)
vt220 ESC '^['
This will require you to press the SHIFT key and ESC to generate the escape sequence.

Some editors, allow other character(s) to be substituted for the escape character. For example with emacs include this line in your .emacs_pro:
    (bind-to-key "ESC-prefix" "\033[23~")
Thus when the ESC key is pressed, emacs will allow the characters generated (^[[23~) to perform the same function as the escape character.

FILES
$HOME/.vt220rc    - initialization file

SEE ALSO
VT220 Programmer Reference Manual
VT220 Programmer Pocket Guide